Bug 257940 - devel/schilybase: update to 2021-08-14
Summary: devel/schilybase: update to 2021-08-14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/projects/schi...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-08-19 10:24 UTC by Robert Clausecker
Modified: 2021-08-22 17:03 UTC (History)
1 user (show)

See Also:


Attachments
devel/schilybase: update to 2021-08-14 (2.60 KB, patch)
2021-08-19 10:24 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-08-19 10:24:27 UTC
Created attachment 227320 [details]
devel/schilybase: update to 2021-08-14

Update the port to the latest version.

Changes: https://sourceforge.net/projects/schilytools/files/AN-2021-08-14

Also apply patch for correct handling of PORTREVISION already applied to 2021Q3 as per bug #257063.

Tested with Poudriere on arm64 amd64 i386 FreeBSD 13.0-RELEASE.
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-20 12:28:37 UTC
Hi Robert, thanks for the update.

Unfortunately, the atch does not apply cleanly. Specifically the part related to sysutils/schilyutils/Makefile

Would you check it?

Thanks!
Comment 2 Robert Clausecker 2021-08-20 23:38:59 UTC
The patch applies cleanly for me, using git apply.  Regenerating it does not change a single line, so I believe it is fine.  Make sure you use git apply and not the patch utility.
Comment 3 Fernando Apesteguía freebsd_committer 2021-08-21 12:30:20 UTC
(In reply to Robert Clausecker from comment #2)
Yep, you're right. The patch updates _both_ devel/schilybase and sysutils/schilyutils.

Sorry for that.
Comment 4 Robert Clausecker 2021-08-21 22:29:20 UTC
(In reply to Fernando Apesteguía from comment #3)

Yes, sorry for not mentioning this.  sysutils/schilyutils is a slave port and this patch carries over some fixes for that slave port.  I thought it would be best to submit these changes all at once so users do not need to upgrade needlessly.
Comment 5 commit-hook freebsd_committer 2021-08-22 16:56:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e0d1aab29f49205236de5a91b7ac77ef69a79b11

commit e0d1aab29f49205236de5a91b7ac77ef69a79b11
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-08-21 12:23:33 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-22 16:50:48 +0000

    devel/schilybase: update to 2021-08-14

    And slave port sysutils/schilyutils.

    ChangeLog: https://sourceforge.net/projects/schilytools/files/AN-2021-08-14

    PR:     257940
    Reported by:    fuz@fuz.su (maintainer)

 devel/schilybase/Makefile.master | 10 +++++-----
 devel/schilybase/distinfo        |  6 +++---
 sysutils/schilyutils/Makefile    |  2 --
 3 files changed, 8 insertions(+), 10 deletions(-)
Comment 6 Fernando Apesteguía freebsd_committer 2021-08-22 16:59:37 UTC
Committed,

You were right Robert, the patch was absolutely correct. I handle some automatic tests with scripts but sometimes they don't handle updating multiple ports nicely :S

Thanks!
Comment 7 Robert Clausecker 2021-08-22 17:03:43 UTC
Thanks for being extra thoroguh!